Merge branch 'sg/travis-gcc-4.8'
[git/git.git] / ci / mount-fileshare.sh
1 #!/bin/sh
2
3 die () {
4 echo "$*" >&2
5 exit 1
6 }
7
8 test $# = 4 ||
9 die "Usage: $0 <share> <username> <password> <mountpoint>"
10
11 mkdir -p "$4" || die "Could not create $4"
12
13 case "$(uname -s)" in
14 Linux)
15 sudo mount -t cifs -o vers=3.0,username="$2",password="$3",dir_mode=0777,file_mode=0777,serverino "$1" "$4"
16 ;;
17 Darwin)
18 pass="$(echo "$3" | sed -e 's/\//%2F/g' -e 's/+/%2B/g')" &&
19 mount -t smbfs,soft "smb://$2:$pass@${1#//}" "$4"
20 ;;
21 *)
22 die "No support for $(uname -s)"
23 ;;
24 esac ||
25 die "Could not mount $4"